using Prism.Commands;
using Prism.Mvvm;
using Prism.Services.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.ViewModels.Dialog.PageEditDialogs
{
    public class InsertDialogViewModel : BindableBase, IDialogAware
    {
        public string Title =>"";

        public event Action<IDialogResult> RequestClose;

        public DelegateCommand CancelCommand { get; set; }

        public DelegateCommand InsertCommnad { get; set; }

        public InsertDialogViewModel()
        {
            CancelCommand = new DelegateCommand(cancel);
            InsertCommnad = new DelegateCommand(insert);
        }

        private void cancel()
        {
            RequestClose.Invoke(new DialogResult(ButtonResult.Cancel));
        }

        private void insert()
        {
            DialogParameters valuePairs = new DialogParameters();
            //valuePairs.Add(ParameterNames.DataModel, Model);
            RequestClose.Invoke(new DialogResult(ButtonResult.OK, valuePairs));
        }

        public bool CanCloseDialog()
        {
            return true;
        }

        public void OnDialogClosed()
        {
        
        }

        public void OnDialogOpened(IDialogParameters parameters)
        {
           
        }
    }
}
